﻿using System.Collections.Generic;
using System.Net;
using FMK.EFH.Contracts.Extensions.Errors;
using System.Runtime.Serialization;

namespace FMK.EFH.API.Sample
{

    [DataContract(Namespace = "http://api.fullmaktskollen.se/")]
    public class ApiExceptionModel
    {
        public ApiExceptionModel()
        {
            Details = new List<ErrorDetail>();
            StatusCode = HttpStatusCode.BadRequest;
        }
        
        [DataMember]
        public string Message { get; set; }

        [DataMember]
        public List<ErrorDetail> Details { get; set; }

        [DataMember]
        public HttpStatusCode StatusCode { get; set; }
    }
}
